Bug 851484 - JBPM-3647 NullPointerException in jbpm-console when retrieving process definitions from guvnor
JBPM-3647 NullPointerException in jbpm-console when retrieving process defin...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Maciej Swiderski
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 05:53 EDT by Maciej Swiderski
Modified: 2016-07-31 21:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NullPointerException could occur when retrieving process definitions from the asset repository, which resulted in the process definitions not loading. This has been resolved by ensuring the knowledge agent is null safe. The process definitions are now loaded without throwing a NullPointerException.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3647 Major Resolved NullPointerException in jbpm-console when retrieving process definitions from guvnor 2014-04-14 05:54:47 EDT

  None (edit)
Description Maciej Swiderski 2012-08-24 05:53:35 EDT
Description of problem:

backport of JBPM-3647, in come cases when console starts up knowledge agent is not yet initialized while console tries to pickup process definitions and while doing that NPE is thrown when accessing knowledge agent that is null
Version-Release number of selected component (if applicable):


How reproducible:

  
Actual results:
NPE on refreshing list of package

Expected results:
Get actual list of processes available, secure that NPE is not thrown in case of such situations

Additional info:
Comment 1 Maciej Swiderski 2012-08-24 06:02:20 EDT
backported into 5.2.x branch
Comment 2 Zuzana Krejčová 2012-09-20 06:49:45 EDT
Could you please tell me a bit more about this? I'm not sure how to test this, since this is a bug reported for jBPM version 5.4.0-SNAPSHOT, if I understand correctly.
I don't think I have seen this happen.
Comment 3 JBoss JIRA Server 2012-09-20 07:10:58 EDT
Andrea Carpineti <acarpineti@tai.it> made a comment on jira JBPM-3647

Affects Version/s: jBPM 5.3
Fix Version/s: jBPM 5.4
Comment 4 Maciej Swiderski 2012-09-24 06:36:54 EDT
(In reply to comment #2)
> Could you please tell me a bit more about this? I'm not sure how to test
> this, since this is a bug reported for jBPM version 5.4.0-SNAPSHOT, if I
> understand correctly.
> I don't think I have seen this happen.

As far as I remember it was reported as well for BRMS 5.3 after clean installation of 5.3.0.Final. It was not reproducable inall cases but I ran into it one or two times as well and that's why fix was applied.

One thing you could try is to install fresh copy of brms standalone and after logging on go directly to processes pane and hit rifresh on process definitions directly to trigger package check.

Hope this helps
Comment 5 Zuzana Krejčová 2012-09-27 08:14:00 EDT
Using above mentioned method, I was able to reproduce with 5.3.0 version on 3rd try.
With the current 5.3.1 build, this issue did not occur once in 10+ tries. I'd say verified.

Note You need to log in before you can comment on or make changes to this bug.